<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo('igual')" class="btn btn-primary" [disabled]="ngForm.invalid">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 col-xl-3 form-group">
          <label>Agencia</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cChr1" appFocus>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'agencia')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="form-group col-12 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo" [min]="minDateDesde">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <label>Tipo Cuarto</label>
          <kendo-combobox [data]="dsTiposCtos" [textField]="'tdesc'" [valueField]="'tcuarto'" [filterable]="true"
            formControlName="cChr2" [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </div>
      </div>

    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [navigable]="true"
      [reorderable]="true" (cellClick)="cellClickHandler($event); openModal(modalCelda, 'forecast')" [resizable]="true"
      [sortable]="true" [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
      style="height: 55vh;" class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 float-right">
            <label class="w-100"></label>
            <div role="group" class="btn-group-md btn-group btn-block mt-2">
              <button class="btn btn-light" (click)="getInfo('menos')" [disabled]="contadorSearch == 0">
                <i class="fas fa-angle-double-left"></i>
              </button>
              <button class="btn btn-light" (click)="getInfo('mas')">
                <i class="fas fa-angle-double-right"></i>
              </button>
            </div>
          </div>
        </ng-template>
        <!-- <kendo-grid-column field="Agencia" title="Agencia" width="120"></kendo-grid-column> -->
        <kendo-grid-column field="TipoCuarto" title="Tipo" width="85"></kendo-grid-column>
        <kendo-grid-column *ngFor="let n of dataFechas; let i=index" title="{{n.cFecha}}"
          field="ttAllotdisp[i].Forecast" editor="numeric" width="100" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.ttAllotdisp[i].Forecast }}
          </ng-template>
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-agencia (agencia)="getDataModal($event); c();"></app-help-agencia>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

<ng-template #modalCelda let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">Forecast</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="col-3 form-group">
        <label class="w-100">Agencia</label>
        <input type="text" class="form-control" [(ngModel)]="agencia" value="{{agencia}}" id="agencia" readonly>
      </div>
      <div class="col-3 form-group">
        <label class="w-100">Tipo Cuarto</label>
        <input type="text" class="form-control" [(ngModel)]="tCuarto" value="{{tCuarto}}" id="tCuarto" readonly>
      </div>
      <div class="col-3 form-group">
        <label class="w-100">Fecha</label>
        <input type="text" class="form-control" [(ngModel)]="fecha" value="{{fecha}}" id="fecha" readonly>
      </div>
      <div class="col-3 form-group">
        <label class="w-100">Forecast</label>
        <input type="number" min="0" class="form-control" [(ngModel)]="forecast" value="{{forecast}}" id="forecast">
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-success" (click)="saveInfo(); c();">
      <i class="fa fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>